#!/bin/bash

export PATH="/usr/sbin:/usr/bin:/sbin:/bin"

echo "$(date) - Running in environment: $(env)" >> /tmp/usb-umount.log
echo "$(date) - Starting unmount process" >> /tmp/usb-umount.log

MOUNTPOINT="/media/usb"

# Unmount the device
umount "$MOUNTPOINT" >> /tmp/usb-umount.log 2>&1

if [ $? -eq 0 ]; then
    echo "$(date) - Unmounted $MOUNTPOINT" >> /tmp/usb-umount.log
    rmdir "$MOUNTPOINT"  # Remove the mount point
else
    echo "$(date) - Failed to unmount $MOUNTPOINT" >> /tmp/usb-umount.log
fi
